<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Rules Tiered Discount by Amasty
 */

use Magento\TestFramework\Helper\Bootstrap;
use Magento\TestFramework\Quote\Model\GetQuoteByReservedOrderId;

$objectManager = Bootstrap::getObjectManager();
$getQuoteByReservedOrderId = $objectManager->get(GetQuoteByReservedOrderId::class);
$quoteRepository = $objectManager->get(\Magento\Quote\Model\QuoteRepository::class);
$quote = $getQuoteByReservedOrderId->execute('test_amrules_tiered_discount');
if ($quote) {
    $quoteRepository->delete($quote);
}
