<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Rules Tiered Discount by Amasty
 */

namespace Amasty\RulesTieredDiscount\Model\ResourceModel\TieredDiscount;

use Amasty\RulesTieredDiscount\Model\ResourceModel\TieredDiscount as TieredDiscountResource;
use Amasty\RulesTieredDiscount\Model\TieredDiscount;
use Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection;

class Collection extends AbstractCollection
{
    protected function _construct()
    {
        $this->_init(TieredDiscount::class, TieredDiscountResource::class);
    }
}
